curl --request POST \
--url https://app.hypersender.com/api/sms/v1/{instance}/send-message \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"content": "v",
"request_id": "133554b5-ae44-44a0-8f4f-7bbac5657a11",
"to": "+1119122018"
}
'import requests
url = "https://app.hypersender.com/api/sms/v1/{instance}/send-message"
payload = {
"content": "v",
"request_id": "133554b5-ae44-44a0-8f4f-7bbac5657a11",
"to": "+1119122018"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
content: 'v',
request_id: '133554b5-ae44-44a0-8f4f-7bbac5657a11',
to: '+1119122018'
})
};
fetch('https://app.hypersender.com/api/sms/v1/{instance}/send-message', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "string",
"request_id": "string",
"phone": {
"id": "string",
"user_id": "string",
"phone_number": "string",
"name": "string",
"sim": "string",
"max_send_attempts": 0,
"message_expiration_seconds": 0,
"missed_call_auto_reply_message": null,
"is_online": true,
"last_online_at": "string",
"last_offline_at": "string",
"last_message_at": "string",
"last_missed_call_at": "string",
"last_heartbeat_at": "string",
"heartbeat_enabled_at": null,
"timezone": "string",
"created_at": "string",
"updated_at": "string"
},
"message_thread": {
"id": "string",
"phone_id": "string",
"last_message_id": "string",
"from_phone_number": "string",
"to_phone_number": "string",
"is_archived": true,
"last_message_content": "string",
"last_message_at": "string",
"created_at": "string",
"updated_at": "string"
},
"message_thread_id": "string",
"phone_id": "string",
"from_phone_number": "string",
"to_phone_number": "string",
"content": "string",
"send_duration": null,
"schedule_on_phone_at": null,
"sent_at": null,
"last_attempted_at": null,
"delivered_at": null,
"received_at": "string",
"expired_at": null,
"schedule_send_at": null,
"failed_at": null,
"send_attempt_count": 0,
"max_send_attempts": 0,
"failure_reason": null,
"message_expiration_seconds": 0,
"timezone": "string",
"sim": "string",
"status": "string",
"type": "string",
"created_at": "string",
"updated_at": "string"
}{
"errors": {},
"message": "The given data was invalid.",
"status": "400"
}{
"message": "Not Found"
}{
"message": "Internal Server Error"
}Send a new SMS message to be sent by your android phone.
Quick Demo
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Instance UUID copied from hypersender dashboard
"{{ instance_id }}"
Body
The content of your SMS message, keep it short and sweet because sms messages done like to be short!
phone number that you want to send the message to. Make sure that it start with + and have country code example: +203123131313
any string preferably uuid that you can use later to find this message.
optional date in the future max: 3 days that the message will be sent Relative to your defined Timezone! Example: 2025-01-08 19:47:00
How many times I should retry sending this message when it fails to be sent, Max: 15 times.
How many seconds this message is valid for, this is usefull when you are sending OTPs with expiration of 2 mins.
Response
Successful response
Show child attributes
Show child attributes
Show child attributes
Show child attributes